testing::internal::Mutex Class Reference

`#include <gtest.h>`

## Public Member Functions

| Mutex ()
void | Lock ()
void | Unlock ()
void | AssertHeld () const

## Detailed Description

Definition at line 2139 of file gtest.h.

## Constructor & Destructor Documentation

## Mutex()

testing::internal::Mutex::Mutex | ( |  | ) |

inline

Definition at line 2141 of file gtest.h.

## Member Function Documentation

## AssertHeld()

void testing::internal::Mutex::AssertHeld | ( |  | ) | const

inline

Definition at line 2144 of file gtest.h.

## Lock()

void testing::internal::Mutex::Lock | ( |  | ) |

inline

Definition at line 2142 of file gtest.h.

## Unlock()

void testing::internal::Mutex::Unlock | ( |  | ) |

inline

Definition at line 2143 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h